> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rerun a single workflow execution

> Retrieves log data for a given workflow over time. Logs are stored for a maximum of 7 days before being purged.

Each log includes the `executionId` (which can be used to rerun an execution), the `startedAt` and `stoppedAt` date stamps, and the JSON output of the execution.



## OpenAPI

````yaml post /workflows/{workflowId}/rerun/{executionId}
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /workflows/{workflowId}/rerun/{executionId}:
    post:
      summary: Rerun a single workflow execution
      description: >-
        Retrieves log data for a given workflow over time. Logs are stored for a
        maximum of 7 days before being purged.


        Each log includes the `executionId` (which can be used to rerun an
        execution), the `startedAt` and `stoppedAt` date stamps, and the JSON
        output of the execution.
      operationId: rerun-workfow
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
        - name: workflowId
          in: path
          description: The Id of the workflow you want to find logs for
          schema:
            type: string
          required: true
        - name: executionId
          in: path
          description: >-
            The Id of the execution to rerun. This can be retrieved from the GET
            Workflow Logs endpoint
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    message: success
                    executionId: 37e974f0-5d0c4035
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: success
                  executionId:
                    type: string
                    example: 37e974f0-5d0c4035
      deprecated: false
      security: []
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````